from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^members/$', views.members_list_view, name='members-list-view'),
    url(r'^members/new/$', views.member_new, name='member-new'),
    url(r'^members/vcard/$', views.members_vcard, name='members-vcard'),
    url(r'^members/(?P<pk>\d+)/$', views.member_view, name='member-view'),
    url(r'^members/(?P<pk>\d+)/edit/$', views.member_edit, name='member-edit'),
    url(r'^members/(?P<pk>\d+)/emissions/$', views.member_emissions, name='member-emissions'),
    url(
        r'^members/(?P<pk>\d+)/emissions/remove/(?P<em_pk>\d+)/$',
        views.member_emission_remove,
        name='member-emission-remove',
    ),
    url(r'^members/(?P<pk>\d+)/mark-as-active/$', views.mark_as_active, name='member-mark-as-active'),
    url(r'^members/(?P<pk>\d+)/mark-as-inactive/$', views.mark_as_inactive, name='member-mark-as-inactive'),
    url(
        r'^members/(?P<pk>\d+)/register-membership/$',
        views.register_membership,
        name='member-register-membership',
    ),
    url(r'^members/groups/$', views.groups_list, name='groups-list'),
    url(r'^members/groups/new/$', views.group_new, name='group-new'),
    url(r'^members/groups/(?P<pk>\d+)/$', views.group_view, name='group-view'),
    url(r'^members/groups/(?P<pk>\d+)/perms/$', views.group_update_perms, name='group-update-perms'),
    url(r'^members/groups/(?P<pk>\d+)/delete/$', views.group_delete, name='group-delete'),
    url(r'^profile/$', views.profile_view, name='profile-view'),
    url(r'^profile/edit/$', views.profile_contact_edit, name='profile-contact-edit'),
]
